Subject: Re: [PATCH 0/2] net_sched: Remove broken tc actions

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 28 Oct 2013 18:57:29 -0400

On 10/27/13 16:37, Alexander Duyck wrote:

> The primary use case for act_skbedit was to have it associated with a
> filter.  I based it off of act_simple so it isn't surprising that it
> inherited this issue.

Thats almost 100% of the use cases.

>
>  From what I can tell all of the other actions are just using
> tcf_hash_search for lookup.  Is there anything special that is needed in
> order to add the lookup call, or could we just add a one liner
> associating simple and skbedit lookup with tcf_hash_search?
>

Yes, that would do it. But dont bother - let me just send a generic
patch that will assume that for any other action that doesnt do it.
Will do it likely tomorow.

cheers,
jamal